# The LearningOnline Network with CAPA
# input  definitons

package Apache::inputtags;
use strict;

sub BEGIN {
  &Apache::lonxml::register('Apache::inputtags',('textarea','textline','answergroup','datasubmission'));
}

sub initialize_inputtags {
  $Apache::inputtags::curvalue=0;
}

sub start_textarea {
  my ($target,$token,$parstack,$parser,$safeeval)=@_;
  my $result = "";
  $Apache::inputtags::curvalue++;
  if ($target eq 'web') {
    $result= '<textarea name="'.$ENV{'form.request.prefix'}.'HWVAL'.$Apache::inputtags::curvalue.'" value="">';
  }
  return $result;
}

sub end_textarea {
  my ($target,$token,$parstack,$parser,$safeeval)=@_;
  return "</textarea>";
}

sub start_textline {
  my ($target,$token,$parstack,$parser,$safeeval)=@_;
  my $result = "";
  $Apache::inputtags::curvalue++;
  my $args ='';
  if ( $#$parstack > -1 ) { $args=$$parstack[$#$parstack]; }
  my $size = &Apache::run::run("{$args;".'return $size}',$safeeval);
  if ($size eq '') { $size=20; }
  if ($target eq 'web') {
    $result= '<input type="text" name="'.$ENV{'form.request.prefix'}.'HWVAL'.$Apache::inputtags::curvalue.'" value="" size="'.$size.'">';
  }
  return $result;
}

sub end_textline {
  my ($target,$token,$parstack,$parser,$safeeval)=@_;
  return "";
}

sub start_answergroup {
}

sub end_answergroup {
  my ($target,$token,$parstack,$parser,$safeeval)=@_;
  if ( $target == 'web' ) {
    return '<input type="submit" name="'.$ENV{'form.request.prefix'}.'submit" value="Submit All Answers">';
  }
}


sub start_datasubmission {
}

sub end_datasubmission {
  my ($target,$token,$parstack,$parser,$safeeval)=@_;
  if ( $target == 'web' ) {
    return '<input type="submit" name="'.$ENV{'form.request.prefix'}.'submit" value="Submit All Data">';
  }
}

1;
__END__
 
