# The LearningOnline Network with CAPA
# caparesponse definition

package Apache::caparesponse;
use strict;
use capa;

sub BEGIN {
  &Apache::lonxml::register('Apache::caparesponse',('caparesponse'));
}

$Apache::caparesponse::result='';
sub start_caparesponse {
  my $envkey;
  
  #foreach $envkey (sort keys %ENV) {
  #  Apache::lonxml::debug("$envkey ---- $ENV{$envkey}<br>");
  #}
  
  #Apache::lonxml::debug("\n<br>\nreal caparesponse<br>\n");
}

sub end_caparesponse {
  my ($target,$token,$parstack,$parser,$safeeval,$style)=@_;
  if ( defined $ENV{'form.'.$ENV{'form.request.prefix'}.'submit'}) {
    $Apache::caparesponse::result='';
    $safeeval->share('&caparesponse_capa_check_answer');
    $safeeval->share('$Apache::caparesponse::result');
    my $response = $ENV{'form.'.$ENV{'form.request.prefix'}.'HWVAL'.$Apache::inputtags::curvalue};
    #Apache::lonxml::debug("submitted a $response<br>\n");
    #Apache::lonxml::debug($$parstack[$#$parstack] . "\n<br>");
    my $expression="caparesponse_check $response $$parstack[$#$parstack];";
    #&Apache::run::run($expression,$safeeval);
    
    #&Apache::lonxml::debug("\n<br>result:$Apache::caparesponse::result:<br>\n");
    my $args ='';
    if ( $#$parstack > -1 ) {
      $args=$$parstack[$#$parstack];
    }
    my $answer = &Apache::run::run("{$args;".'return $answer}',$safeeval);
    if ( $answer == 1.0 * $answer ) {
      my $tol = &Apache::run::run("{$args;".'return $tol}',$safeeval);
      my $format = &Apache::run::run("{$args;".'return $format}',$safeeval);
      my $formatedanswer = sprintf('%.'.$format,$answer);
      my $difference = abs($answer - $formatedanswer);
      my $studiff = abs($answer - $response);
      if ( $difference > $studiff ) {
	return "Correct, Computer had $answer<br></br>";
      } else {
	return "Incorrect, Computer had $answer<br></br>";
      }
    } else {  
      if ( $answer eq $response ) {
	return "Correct, Computer had $answer<br></br>";
      } else {
	return "Incorrect, Computer had $answer<br></br>";
      }
    }
  } else {
    #return "The correct answer is ".&Apache::run::run("{$$parstack['-1'];".'return $answer}',$safeeval)."\n";
  }
  #Apache::lonxml::debug("\n<br>\nreal end caparesponse<br>\n");
  return '';
}

1;
__END__
 
