# The LearningOnline Network with CAPA
# Routines to control the menu
#
# (TeX Conversion Module
#
# 05/29/00,05/30 Gerd Kortemeyer)
#
# 10/05 Gerd Kortemeyer

package Apache::lonmenu;

use strict;

# =============================================================== Open the menu

sub open {
    return(<<ENDOPEN);
<script>
window.status='MenuControl:nologout';
menu=window.open("/res/adm/pages/menu.html","LONCAPAmenu",
                 "height=350,width=150,scrollbars=no,menubar=no");
</script>
ENDOPEN
}

# ================================================================== Conversion

sub close {
    return(<<ENDCLOSE);
<script>
window.status='MenuControl:nologout';
menu=window.open("/adm/rat/empty.html","LONCAPAmenu",
                 "height=350,width=150,scrollbars=no,menubar=no");
menu.close();
</script>
ENDCLOSE
}

# ====================================================================== Footer

sub footer {

}

1;
__END__







